Commit 52e967c2 authored by Sylvestre Ledru's avatar Sylvestre Ledru

try to improve the non coinstability

parent bfce9a05
......@@ -484,8 +484,9 @@ Section: libdevel
Architecture: amd64 arm64 armhf i386 mips64el ppc64el ppc64
Depends: libomp5-7 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: libomp-7-doc
Replaces: libiomp-dev (<< 3.7-1), libomp-dev (<< 7~+rc1-1~exp1)
Breaks: libiomp-dev (<< 3.7-1), libomp-dev (<< 7~+rc1-1~exp1)
Conflicts: libomp-dev
Replaces: libomp-dev
Provides: libomp-dev
Description: LLVM OpenMP runtime - dev package
The runtime is the part of the OpenMP implementation that your code is
......@@ -496,8 +497,9 @@ Package: libomp5-7
Multi-Arch: same
Architecture: amd64 arm64 armhf i386 mips64el ppc64el ppc64
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libomp5 (<< 7~+rc1-1~exp1)
Breaks: libomp5 (<< 7~+rc1-1~exp1)
Conflicts: libomp5
Replaces: libomp5
Provides: libomp5
# TODO add the break depends
Description: LLVM OpenMP runtime
......@@ -527,8 +529,9 @@ Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: clang
Replaces: libc++1 (<< 7~+rc1-1~exp1)
Breaks: libc++1 (<< 7~+rc1-1~exp1)
Conflicts: libc++1
Replaces: libc++1
Provides: libc++1
Description: LLVM C++ Standard library
libc++ is another implementation of the C++ standard library.
......@@ -548,9 +551,10 @@ Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libc++1-7 (= ${binary:Version}), ${misc:Depends}
Provides: libc++-dev
Breaks: libc++-dev (<< 7~+rc1-1~exp1)
Replaces: libc++-dev (<< 7~+rc1-1~exp1)
Conflicts: libc++-dev
Provides: libc++-dev
Replaces: libc++-dev
Description: LLVM C++ Standard library (development files)
libc++ is another implementation of the C++ standard library
.
......@@ -573,8 +577,9 @@ Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libc++abi1 (<< 7~+rc1-1~exp1)
Conflicts: libc++abi1
Provides: libc++abi1
Replaces: libc++abi1 (<< 7~+rc1-1~exp1)
Replaces: libc++abi1
Description: LLVM low level support for a standard C++ library
libc++abi is another implementation of low level support for a standard C++
library.
......@@ -589,9 +594,10 @@ Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libc++abi1-7 (= ${binary:Version}), ${misc:Depends}
Replaces: libc++-dev (<= 6.0.1-1), libc++abi-dev (<= 6.0.1-1)
Breaks: libc++-dev (<= 6.0.1-1), libc++abi-dev (<= 6.0.1-1)
Breaks: libc++abi-dev (<= 6.0.1-1),
Conflicts: libc++abi-dev
Provides: libc++abi-dev
Replaces: libc++abi-dev
Description: LLVM low level support for a standard C++ library (development files)
libc++abi is another implementation of low level support for a standard C++
library.
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment